pub struct UiBrowserWaitForRequest {
pub auth: UiAutomationAuth,
pub pane: Option<String>,
pub text: Option<String>,
pub url_contains: Option<String>,
pub gone: Option<String>,
pub timeout_ms: Option<u64>,
}Expand description
POST /api/v1/ui/browser/wait_for — backs BrowserWaitFor.
Exactly one of text, url_contains, gone.
Fields§
§auth: UiAutomationAuth§pane: Option<String>Target a browser pane this agent opened with OpenBrowser; absent =
the caller’s own pane.
text: Option<String>§url_contains: Option<String>§gone: Option<String>A reference whose element should leave the page.
timeout_ms: Option<u64>Trait Implementations§
Source§impl Clone for UiBrowserWaitForRequest
impl Clone for UiBrowserWaitForRequest
Source§fn clone(&self) -> UiBrowserWaitForRequest
fn clone(&self) -> UiBrowserWaitForRequest
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for UiBrowserWaitForRequest
impl Debug for UiBrowserWaitForRequest
Source§impl<'de> Deserialize<'de> for UiBrowserWaitForRequest
impl<'de> Deserialize<'de> for UiBrowserWaitForRequest
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for UiBrowserWaitForRequest
impl RefUnwindSafe for UiBrowserWaitForRequest
impl Send for UiBrowserWaitForRequest
impl Sync for UiBrowserWaitForRequest
impl Unpin for UiBrowserWaitForRequest
impl UnsafeUnpin for UiBrowserWaitForRequest
impl UnwindSafe for UiBrowserWaitForRequest
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more